org.apache.ignite.internal.processors.cache.persistence

## Class RecoveryDebug

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.RecoveryDebug

All Implemented Interfaces:
  AutoCloseable

    public class RecoveryDebug
    extends Object
    implements AutoCloseable

### Constructor Summary

Constructors
Constructor and Description
`RecoveryDebug(Object constId, long time)`
`RecoveryDebug(Object constId, long time, @Nullable IgniteLogger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`RecoveryDebug` `append(DataRecord rec, boolean unwrapKeyValue)`
`RecoveryDebug` `append(Object st)`
`RecoveryDebug` `append(TxRecord rec)`
`void` `close()` Closes this debug insrance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RecoveryDebug

    public RecoveryDebug(Object constId,
                         long time)

Parameters:
  `constId` - Consistent ID.

#### RecoveryDebug

    public RecoveryDebug(Object constId,
                         long time,
                         @Nullable
                         @Nullable IgniteLogger log)

Parameters:
  `constId` - Consistent ID.
  `log` - Logger.

### Method Detail

#### append

    public RecoveryDebug append(TxRecord rec)

Parameters:
  `rec` - TX record to append.
Returns:
  `this` for convenience.

#### append

    public RecoveryDebug append(DataRecord rec,
                                boolean unwrapKeyValue)

Parameters:
  `rec` - Data record to append.
  `unwrapKeyValue` - unwrap key and value flag.
Returns:
  `this` for convenience.

#### append

    public RecoveryDebug append(Object st)

Parameters:
  `st` - Statement to append.
Returns:
  `this` for convenience.

#### close

    public void close()

Closes this debug insrance.

Specified by:
  `close` in interface `AutoCloseable`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022